library(ggplot2)
library(reshape)
library(scales)    

data= read.table("habituation_scl_mean_per_session.txt", header=T,  comment.char="#")

levels(data$sessions)<-c( "1-robot", "3-robot", "24-robot")


p <- ggplot(data = data, aes(x=ts/1000,y = scl, color = sessions, linetype=sessions)) +
  scale_linetype_manual(values = c(rep("solid", 1), rep("dotted", 1), rep("dashed", 1))) + 
  geom_line(size = 0.5) +
  xlab("Time (in seconds)") +
  ylab("SCL Value") +
  scale_colour_grey(start = .15, end = 0) + 
  theme_bw() +
  
  geom_line() +
  theme(axis.text=element_text(size=20),
        axis.title=element_text(size=20),
        legend.title=element_text(size=20),
        legend.text=element_text(size=18),
        legend.position=c(.9,.79),
        legend.background = element_rect(fill=alpha('grey90', 0.4)))
 

print(p)
